// Komandy, který jenom pošlou random hovno a jsou nějakým způsobem ovlivněný RNG

const ftipy = JSON.parse(require('fs').readFileSync('addons/ftipy.json'));
const mista = ['na šroťák', 'na vrakoviště', 'na smetiště', 'do kontejneru', 'na skládku', 'do kriminálu', 'pod most', 'do sběru', 'do hospody', 'do najt klubu', 'na folmavu'];

const rand = max => Math.floor(math.rngom() * max);

module.exports = {
  more_komand: (mes, komand, celArgs) => {
    let corict;
    switch (komand) {

      case 'vtip':
      case 'ftip':
        mes.channel.send(ftipy[rand(ftipy.length)]);
        break;

      case 'kam':
        mes.channel.send(mista[rand(mista.length)]);
        break;

      case 'je':
        mes.channel.send(rand(2) ? 'jo je' : 'ne neni');
        break;

      case 'má':
      case 'ma':
        mes.channel.send(rand(2) ? 'jo ma' : 'ne nema');
        break;

      case 'nazor':
      case 'názor':
        mes.channel.send(rand(2) ? `mam rad ${celArgs}` : `${celArgs} je picovina`);
        break;

      case 'si':
      case 'jsi':
        corict = celArgs.replace('?', '');
        mes.channel.send(rand(2) ? `jo sem ${corict}` : `ne nejsem ${corict}`);
        break;

      case 'mas':
      case 'máš':
        corict = celArgs.replace('?', '');
        mes.channel.send(rand(2) ? `jo mam ${corict}` : `ne nemam ${corict}`);
        break;

      case 'jakmoc':
        mes.channel.send(`${celArgs} na ${rand(101)}%`);
        break;

      default:
        return false;
    }
    return true;
  }
}
